#pragma once
#ifdef __KERNEL__
#include "cpu_context.h" 
#endif

#define SYSCALL_ID_EXIT 1
#define SYSCALL_ID_YOLO 2
#define SYSCALL_ID_PUTC 3
#define SYSCALL_ID_READ 4
#define SYSCALL_ID_TEST 5
#define SYSCALL_ID_BRK  6

#ifdef __KERNEL__
int syscallExecute(int syscallId, const struct cpu_state *user_ctx);
#endif
