OUTPUT_FORMAT(elf32-i386);
/* C entry point: used by crt.c*/
ENTRY(_start)

SECTIONS
{
   /* Userspace vitual address PAGING_BASE_USER_ADDRESS */
	. = 0x40000000;

	.text : ALIGN(4096)
	{
		*(.text)
	}

	/* Read-only data. */
	.rodata : ALIGN(4096)
	{
		*(.rodata)
	}

	/* Read-write data (initialized) */
	.data : ALIGN(4096)
	{
		*(.data)
	}

	/* Read-write data (uninitialized) and stack */
	.bss : ALIGN(4096)
	{
		*(COMMON)
		*(.bss)
	}
}
